com.trendmicro.ds.platform.rest.object.scheduledtask

## Class TagFilter

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.TagFilter

-     public class TagFilter
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TagFilter.Type` Tag Filter Type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TagFilter.Type` | `getType()` Get the type.
    `java.lang.String` | `getValue()` Get the value.
    `void` | `setType(TagFilter.Type type)` Set the type.
    `void` | `setValue(java.lang.String value)` Set the value.
    `java.lang.String` | `toString()`
    `TagFilter` | `withType(TagFilter.Type type)` Set the type.
    `TagFilter` | `withValue(java.lang.String value)` Set the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagFilter

          public TagFilter()

  - ### Method Detail

    - #### getType

          public TagFilter.Type getType()

      Get the type.
      Returns:
        the type.

    - #### setType

          public void setType(TagFilter.Type type)

      Set the type.
      Parameters:
        `type` - the type.

    - #### withType

          public TagFilter withType(TagFilter.Type type)

      Set the type.
      Parameters:
        `type` - the type.
      Returns:
        the updated TagFilter object.

    - #### getValue

          public java.lang.String getValue()

      Get the value.
      Returns:
        the value.

    - #### setValue

          public void setValue(java.lang.String value)

      Set the value.
      Parameters:
        `value` - the value.

    - #### withValue

          public TagFilter withValue(java.lang.String value)

      Set the value.
      Parameters:
        `value` - the value.
      Returns:
        the updated TagFilter object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.